Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 2101)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,5 +35,4 @@
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1682 2015-10-07 23:56:08Z knoop
@@ -76,5 +75,5 @@
 
     PRIVATE
-    PUBLIC coriolis, coriolis_acc
+    PUBLIC coriolis
 
     INTERFACE coriolis
@@ -82,8 +81,4 @@
        MODULE PROCEDURE coriolis_ij
     END INTERFACE coriolis
-
-    INTERFACE coriolis_acc
-       MODULE PROCEDURE coriolis_acc
-    END INTERFACE coriolis_acc
 
  CONTAINS
@@ -177,100 +172,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE coriolis_acc( component )
-
-       USE arrays_3d,                                                          &
-           ONLY:  tend, u, ug, v, vg, w 
-           
-       USE control_parameters,                                                 &
-           ONLY:  f, fs, message_string
-           
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nzb_u_inner,              &
-                  nzb_v_inner, nzb_w_inner, nzt
-                   
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  component  !< 
-       INTEGER(iwp) ::  i          !<
-       INTEGER(iwp) ::  j          !< 
-       INTEGER(iwp) ::  k          !<
-
-
-!
-!--    Compute Coriolis terms for the three velocity components
-       SELECT CASE ( component )
-
-!
-!--       u-component
-          CASE ( 1 )
-             !$acc  kernels present( nzb_u_inner, tend, v, vg, w )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_u_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25_wp *       &
-                                      ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) + &
-                                        v(k,j+1,i) ) - vg(k) )                 &
-                                                   - fs *    ( 0.25_wp *       &
-                                      ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) &
-                                        + w(k,j,i)   )                         &
-                                                             )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-!
-!--       v-component
-          CASE ( 2 )
-             !$acc  kernels present( nzb_v_inner, tend, u, ug )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_v_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) - f *     ( 0.25_wp *       &
-                                      ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
-                                        u(k,j,i+1) ) - ug(k) )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-!
-!--       w-component
-          CASE ( 3 )
-             !$acc  kernels present( nzb_w_inner, tend, u )
-             DO  i = i_left, i_right
-                DO  j = j_south, j_north
-                   DO  k = 1, nzt
-                      IF  ( k > nzb_w_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + fs * 0.25_wp *            &
-                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +   &
-                                        u(k+1,j,i+1) )
-                      ENDIF
-                   ENDDO
-                ENDDO
-             ENDDO
-             !$acc end kernels
-
-          CASE DEFAULT
-
-             WRITE( message_string, * ) ' wrong component: ', component
-             CALL message( 'coriolis', 'PA0173', 1, 2, 0, 6, 0 )
-
-       END SELECT
-
-    END SUBROUTINE coriolis_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
